D4Science Infrastructure - Upgrade #6053
Upgrade # 6046 (Completed): D4Science Infrastructure Upgrade to gCube 4.2

D4Science Root VO upgrade to gCube 4.2
Nov 28, 2016 10:47 AM - Massimiliano Assante

Status: Completed Start date: Nov 28, 2016
Priority: Normal Due date: Dec 12, 2016
Assignee: Roberto Cirillo % Done: 100%
Target version: D4Science Infrastructure Upgrade to

gCube 4.2.0
Infrastructure: Production
Description
History
#1 - Dec 02, 2016 03:08 PM - Roberto Cirillo
HostingNode

¢ (CNR) DONE data.d4science.org

¢ (CNR) DONE authorization.d4science.org

e (CNR) DONE wps.statistical.d4science.org
Configuration

¢ (CNR) DONE update cloud resources (ServiceEndpoint fhn-manager)
¢ (CNR) DONE change container's hostname from "node76.p.d4science.research-infrastructures.eu" to "workspace-repository.d4science.org"

Smartgears services

e (CNR) DONE node76.p.d4science.research-infrastructures.eu upgrade Jackrabbit webapp
WebApps

¢ (CNR) DONE authorization.d4science.org upgrade authorization service

¢ (CNR) DONE data.d4science.org: upgrade workspace-explorer-app

e (CNR) DONE data.d4science.org: upgrade uri-resolver webapp
¢ (CNR) DONE wps.statistical.d4science.org upgrade wps-statistical-algorithms application

#2 - Dec 02, 2016 03:08 PM - Roberto Cirillo

- Status changed from New to Planned

#3 - Dec 02, 2016 06:35 PM - Pasquale Pagano
Can we move from
node76.p.d4science.research-infrastructures.eu
to

jackrabbit.d4science.org

?

#4 - Dec 05, 2016 11:14 AM - Roberto Cirillo

| guess, yes we can. @tommaso.piccioli@isti.cnr.it could you confirm?
#5 - Dec 05, 2016 11:27 AM - Tommaso Piccioli
There is already an ALIAS for node76.p.d4science.research-infrastructures.eu

It is "workspace-repository.d4science.org", is there for a long time.
If you prefere jackrabbit | can add this new name as well.

#6 - Dec 05, 2016 11:47 AM - Pasquale Pagano

Sep 18, 2025 1/2




The existing name is fine. The problem is that we do not use it, it does not appear in the registry and the notification from Nagios do not use it.
Can it become the real name on the DNS?

#7 - Dec 05, 2016 12:13 PM - Roberto Cirillo

We also need to add the new name in the container resource of HomeLibrary webapp.
This action implies that the container state has to be canceled and the scopes added dinamically have to be re-added to the container.

#8 - Dec 13, 2016 05:03 PM - Massimiliano Assante

- Status changed from Planned to In Progress

#9 - Dec 14, 2016 04:55 PM - Roberto Cirillo
- % Done changed from 0 to 90

#10 - Dec 20, 2016 10:27 AM - Roberto Cirillo
- Status changed from In Progress to Completed

- % Done changed from 90 to 100
